//     IRQ    
#include <LPC213x.h>
void IRQ_EINT0(void) __irq;
void IRQ_EINT1(void) __irq;

void main(void) {
//   -
PINSEL0=0x000000CC;			//   P0.1   EINT0	, P0.3   EINT1
IODIR0 =0x00000001;    		//   P0.0  
IOSET0 =0x00000001;	   		//   P0.0

//   
EXTPOLAR=0x00;				//   EINT0, EINT1   

//   
VICVectCntl0 	= 0x00000020+14;  //   0 +    IENT0
VICVectCntl1 	= 0x00000020+15;  //   1 +    IENT1
VICVectAddr0 	= (unsigned)IRQ_EINT0;	//     EINT0
VICVectAddr1 	= (unsigned)IRQ_EINT1;	//     EINT0
VICIntEnable=0x0000C000;	//  IRQ  EINT0, EINT1 

while (1) {};				//  

}

void IRQ_EINT0(void) __arm __irq 
{
 	IOCLR0=0x00000001;	  			//  
  	EXTINT=0x03;    				//    
  	VICVectAddr 	= 0x00000000;	//   
}

void IRQ_EINT1(void) __arm __irq
{
	IOSET0=0x00000001;	  			//  
  	EXTINT=0x03;    				//    
  	VICVectAddr 	= 0x00000000;	//   
}
 

